// GFn.h
// Function declarations for G and f functions
#ifndef GFn_H
#define GFn_H

//=================================================================================================
// Globals for interpolation

extern int DATAPOINTS;
extern double *lambdagrid;
extern double *flamgrid;
extern double *fnugrid;
extern double *nugrid;
extern double *y2Lamgrid;
extern double *y2Nugrid;

//=================================================================================================
// Potential Functions

double G(double tau);
double GPrime(double tau);
double *dmatrix(int n);
double flamINT(double lam);
double fnuINT(double nu);
double BigF(double tau);

#endif
//=================================================================================================