// fitpot.h
// contains function definitions for fitpot.cpp and global variables
#ifndef fitpot_H
#define fitpot_H
#include "aa.h"
//=================================================================================================

// Globals used in fit
extern double lambdaminus,lambdaplus,numinus,nuplus;
extern double L,N,chibar,nuIntTmp,lamIntTmp;
extern double Alpha;
extern double Gamma;
extern double LZ;

//=================================================================================================

// Fit functions
double Vlamnu(double lambda, double nu);
double chi(double lambda, double nu);
double BigNu(double nu);
double BigLambda(double lambda);
double chibarint(double lambda,double nu);
double chiNu(double nu);
double chiLam(double lambda);
double flam(double lambda);
double fnu(double nu);
double VfitLamNu(double lambda, double nu);
double VFit(double R, double z);
void fitpot(particle &star);

// Orbit Integration
void derivs(double x, double y[], double dydx[]);

void FreeMem();
//=================================================================================================

#endif
//=================================================================================================